summaryrefslogtreecommitdiff
path: root/recipes/ti/matrix-gui-e
diff options
context:
space:
mode:
authorChase Maupin <chase.maupin@ti.com>2010-05-27 10:51:44 -0500
committerKoen Kooi <koen@openembedded.org>2010-05-28 09:21:13 +0200
commita9172ffa7ae4408c176b4b5643fd70a69411114b (patch)
tree5869647cbf0e3d14381d949487abd51266f18e59 /recipes/ti/matrix-gui-e
parentb4aa462e12b2c2920fc364581186b6c5b48424bd (diff)
matrix-gui-e_svn: Renamed matrix-gui_svn
* Renamed the matrix-gui_svn recipe to matrix-gui-e_svn to be more in line with naming conventions of other applications. This is in preparation for making and X11 version of the recipe. * Moved associated files Acked-by: Denys Dmytriyenko <denys@ti.com> Signed-off-by: Chase Maupin <chase.maupin@ti.com> Signed-off-by: Koen Kooi <k-kooi@ti.com>
Diffstat (limited to 'recipes/ti/matrix-gui-e')
-rwxr-xr-xrecipes/ti/matrix-gui-e/dm365-evm/init26
-rwxr-xr-xrecipes/ti/matrix-gui-e/init32
2 files changed, 58 insertions, 0 deletions
diff --git a/recipes/ti/matrix-gui-e/dm365-evm/init b/recipes/ti/matrix-gui-e/dm365-evm/init
new file mode 100755
index 0000000000..b0e56ffd32
--- /dev/null
+++ b/recipes/ti/matrix-gui-e/dm365-evm/init
@@ -0,0 +1,26 @@
+#! /bin/sh
+matrixgui="/usr/bin/matrix_gui"
+GUI_OPTS="-qws -geometry 720x480+0+10 -display transformed:Rot0 /usr/share/matrix/html/menu_main.html"
+
+test -x "$matrixgui" || exit 0
+
+case "$1" in
+ start)
+ # switch to component 480p mode
+ echo 480P-60 > /sys/class/davinci_display/ch0/mode
+ echo COMPONENT > /sys/class/davinci_display/ch0/output
+ echo -n "Starting Matrix GUI application"
+ start-stop-daemon --start --quiet --background --pidfile /var/run/matrix-gui.pid --exec $matrixgui -- $GUI_OPTS
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Matrix GUI application"
+ start-stop-daemon --stop --quiet --pidfile /var/run/matrix-gui.pid
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/matrix-gui {start|stop}"
+ exit 1
+esac
+
+exit 0
diff --git a/recipes/ti/matrix-gui-e/init b/recipes/ti/matrix-gui-e/init
new file mode 100755
index 0000000000..8259417cca
--- /dev/null
+++ b/recipes/ti/matrix-gui-e/init
@@ -0,0 +1,32 @@
+#! /bin/sh
+
+matrixgui="/usr/bin/matrix_gui"
+GUI_OPTS="-qws -display transformed:Rot90 /usr/share/matrix/html/menu_main.html"
+
+test -x "$matrixgui" || exit 0
+
+export TSLIB_TSDEVICE=/dev/input/touchscreen0
+export QWS_MOUSE_PROTO=Tslib:/dev/input/touchscreen0
+
+case "$1" in
+ start)
+ if [ ! -f /etc/pointercal ] ; then
+ echo -n "Calibrating touchscreen (first time only)"
+ ts_calibrate
+ echo "."
+ fi
+ echo -n "Starting Matrix GUI application"
+ start-stop-daemon --start --quiet --background --pidfile /var/run/matrix-gui.pid --exec $matrixgui -- $GUI_OPTS
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Matrix GUI application"
+ start-stop-daemon --stop --quiet --pidfile /var/run/matrix-gui.pid
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/matrix-gui {start|stop}"
+ exit 1
+esac
+
+exit 0